Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math
Class ConvergenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.ConvergenceException

All Implemented Interfaces:
  Serializable, MathThrowable

Direct Known Subclasses:
  FractionConversionException, MaxEvaluationsExceededException, MaxIterationsExceededException, OptimizationException

    public class ConvergenceException

extends MathException

Error thrown when a numerical computation can not be performed because the numerical result failed to converge to a finite value.

Version:
  $Revision: 983921 $ $Date: 2010-08-10 12:46:06 +0200 (mar. 10 aoÃ»t 2010) $
See Also:
  Serialized Form

Constructor Summary
`ConvergenceException()` Default constructor.
`ConvergenceException(Localizable pattern, Object... arguments)` Constructs an exception with specified formatted detail message.
`ConvergenceException(String pattern, Object... arguments)` Deprecated. as of 2.2 replaced by `ConvergenceException(Localizable, Object...)`
`ConvergenceException(Throwable cause)` Create an exception with a given root cause.
`ConvergenceException(Throwable cause, Localizable pattern, Object... arguments)` Constructs an exception with specified formatted detail message and root cause.
`ConvergenceException(Throwable cause, String pattern, Object... arguments)` Deprecated. as of 2.2 replaced by `ConvergenceException(Throwable, Localizable, Object...)`

Method Summary

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConvergenceException

    public ConvergenceException()

  Default constructor.

### ConvergenceException

    @Deprecated
    public ConvergenceException(String pattern,
                                           Object... arguments)

  Deprecated. as of 2.2 replaced by `ConvergenceException(Localizable, Object...)`

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    1.2

### ConvergenceException

    public ConvergenceException(Localizable pattern,
                                Object... arguments)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.2

### ConvergenceException

    public ConvergenceException(Throwable cause)

  Create an exception with a given root cause.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown

### ConvergenceException

    @Deprecated
    public ConvergenceException(Throwable cause,
                                           String pattern,
                                           Object... arguments)

  Deprecated. as of 2.2 replaced by `ConvergenceException(Throwable, Localizable, Object...)`

  Constructs an exception with specified formatted detail message and root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    1.2

### ConvergenceException

    public ConvergenceException(Throwable cause,
                                Localizable pattern,
                                Object... arguments)

  Constructs an exception with specified formatted detail message and root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.